%if 0%{?fedora} >= 40 || 0%{?rhel} >= 10
%bcond initialsetup_gui_backend 1
%else
%bcond initialsetup_gui_backend 0
%endif

Name:           budgie-wayland-session
Version:        0.0.1~git20241123.0.1
Release:        0%{?dist}
Summary:        Scripts and data files for Budgie on Wayland

License:        MPL-2.0
URL:            https://github.com/BuddiesofBudgie/budgie-wayland-session
Source0:        %{name}.tar.gz

BuildRequires:  cmake
Requires:       budgie-desktop
Requires:       magpie-wlr
Recommends:     (sddm-wayland-budgie if sddm)
Recommends:     (initial-setup-gui-wayland-budgie if initial-setup-gui)
BuildArch:      noarch

%description
%{summary}.

%files
%license LICENSE
%doc README.md
%{_datadir}/wayland-sessions/budgie-desktop-wayland.desktop

%dnl ----------------------------------------------------------------------

%package kwin
Summary: Budgie Wayland session using KWin
Requires: budgie-desktop
Requires: kwin-wayland >= 6.0

%description kwin
%{summary}.

%files kwin
%license LICENSE
%{_datadir}/wayland-sessions/budgie-desktop-kwinwayland.desktop

%dnl ----------------------------------------------------------------------

%package labwc
Summary: Budgie Wayland session using KWin
Requires: budgie-desktop
Requires: labwc >= 0.7.2

%description labwc
%{summary}.

%files labwc
%license LICENSE
%{_datadir}/wayland-sessions/budgie-desktop-labwc.desktop

%dnl ----------------------------------------------------------------------

%package miriway
Summary: Budgie Wayland session using Miriway
Requires: budgie-desktop
Requires: miriway >= 24.10
Recommends: (sddm-wayland-miriway if sddm)
Recommends: (initial-setup-gui-wayland-miriway if initial-setup-gui)

%description miriway
%{summary}.

%files miriway
%license LICENSE
%{_libexecdir}/budgie-miriway-wrapper
%{_datadir}/wayland-sessions/budgie-desktop-miriway.desktop
%{_datadir}/%{name}/miriway-shell.config

%dnl ----------------------------------------------------------------------

%package -n sddm-wayland-budgie
Summary: Run SDDM greeter on Budgie Wayland

Provides: sddm-greeter-displayserver
Conflicts: sddm-greeter-displayserver

Requires: magpie-wlr
Requires: layer-shell-qt
Requires: sddm >= 0.20

Supplements: ((initial-setup or sddm) and magpie-wlr)
Enhances: (sddm and magpie-wlr)

%description -n sddm-wayland-budgie
%{summary}.

%files -n sddm-wayland-budgie
%license LICENSE
%{_prefix}/lib/sddm/sddm.conf.d/magpie-wm.conf

%dnl ----------------------------------------------------------------------

%if %{with initialsetup_gui_backend}
%package -n initial-setup-gui-wayland-budgie
Summary: Run initial-setup GUI on Budgie Wayland

Provides: firstboot(gui-backend)
Conflicts: firstboot(gui-backend)

Requires: magpie-wlr
Requires: initial-setup-gui >= 0.3.99

Supplements: ((initial-setup or initial-setup-gui) and magpie-wlr)
Enhances: (initial-setup-gui and magpie-wlr)

%description -n initial-setup-gui-wayland-budgie
%{summary}.

%files -n initial-setup-gui-wayland-budgie
%license LICENSE
%{_libexecdir}/initial-setup/run-gui-backend
%endif

%dnl ----------------------------------------------------------------------

%prep
%autosetup -n %{name}


%build
%cmake \
       -DKWIN_DEVELOPMENT=ON \
       -DLABWC_DEVELOPMENT=ON \
       -DMIRIWAY_DEVELOPMENT=ON \
       %{?with_initialsetup_gui_backend:-DANACONDA_INITIAL_SETUP=ON}
%cmake_build


%install
%cmake_install


%changelog
* Sat Nov 23 2024 Neal Gompa <ngompa@fedoraproject.org>
- Bump to new snapshot

* Sat Jul 20 2024 Neal Gompa <ngompa@fedoraproject.org>
- Bump to new snapshot

* Tue Jun 04 2024 Neal Gompa <ngompa@fedoraproject.org>
- Bump to new snapshot

* Sat Mar 23 2024 Neal Gompa <ngompa@fedoraproject.org>
- Initial package
